c_dsgrid2s(3NCARG)

NAME
c_dsgrid2s - primary single precision C entry for 2D gridding

FUNCTION PROTOTYPE
float *c_dsgrid2s(int, float [], float [], float [],
                  int, int, float [], float [], int *);

SYNOPSIS
float *c_dsgrid2s(int n, float x[], float y[], float z[],
                  int nx, int ny, float xo[], float yo[], int *ier);

DESCRIPTION

n   The number of input data points.

x   An array containing the X coordinates of the input data points.

y   An array containing the Y coordinates of the input data points.

z   An array of size n containing the functional values of the input data points. That is, z[m] is the value of the input function at coordinate (x[m],y[m]), for 0 <= m < n.

nx  The number of X values in the output grid.

ny  The number of Y values in the output grid.

xo  An array of size nx containing the X coordinates of the output data grid. The values in xo must be increasing, but need not be equally spaced.

yo  An array of size ny containing the y coordinates of the output data grid. The values in yo must be increasing, but need not be equally spaced.

ier An error return value. If *ier is returned as 0, then no errors were detected. If *ier is non-zero, then refer to the man page for dsgrid_errors.

USAGE
c_dsgrid2s returns a pointer to a linear array of data that is the interpolated grid stored in row-major order. That is, if out is declared as

  float *out;

and we set:

  out = c_dsgrid2s(n, x, y, z, nx, ny, xo, yo, ier);

then out[i*ny+j] is the interpolated function value at coordinate point (xo[i],yo[j]) for 0 <= i < nx and 0 <= j < ny. The space for out is allocated internal to c_dsgrid2s and is nx*ny floats in size.

ACCESS
To use c_dsgrid2s, load the NCAR Graphics library ngmath.

SEE ALSO
dsgrid, dsgrid_params, c_dsseti, c_dsgeti, c_dssetr, c_dsgetr, c_dssetc, c_dsgetc.

Complete documentation for Dsgrid is available at URL
http://ngwww.ucar.edu/ngdoc/ng/ngmath/dsgrid/dshome.html

COPYRIGHT
Copyright (C) 2000
University Corporation for Atmospheric Research

The use of this Software is governed by a License Agreement.